import request from '../request'

// 查询用户消息列表
export function listUserMessage(query) {
  return request({
    url: '/tester/UserMessage/list',
    method: 'get',
    params: query
  })
}

// 查询用户消息详细
export function getUserMessage(messageId) {
  return request({
    url: '/tester/UserMessage/' + messageId,
    method: 'get'
  })
}

// 新增用户消息
export function addUserMessage(data) {
  return request({
    url: '/tester/UserMessage',
    method: 'post',
    data: data
  })
}

// 修改用户消息
export function updateUserMessage(data) {
  return request({
    url: '/tester/UserMessage',
    method: 'put',
    data: data
  })
}

// 删除用户消息
export function delUserMessage(messageId) {
  return request({
    url: '/tester/UserMessage/' + messageId,
    method: 'delete'
  })
}

// 导出用户消息
export function exportUserMessage(query) {
  return request({
    url: '/tester/UserMessage/export',
    method: 'get',
    params: query
  })
}